Bug 795310 - unable to make directories in union
Summary: unable to make directories in union
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: funionfs
Version: 16
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-20 08:21 UTC by Dmitry S. Makovey
Modified: 2013-02-14 01:52 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 431076
Environment:
Last Closed: 2013-02-14 01:52:39 UTC
Type: ---


Attachments (Terms of Use)

Description Dmitry S. Makovey 2012-02-20 08:21:30 UTC
+++ This bug was initially created as a clone of Bug #431076 +++

I tried following the directions at:
http://funionfs.apiou.org/articles.php?lng=en&pg=11

I'm using:
kernel-2.6.23.14-107.fc8
funionfs-0.4.3-1.fc8
fuse-2.7.0-8.fc8

I'm able to mount the unionfs and make some modifications, but a number of
things fail, notably mkdir.

I'm setting things up with:
# mkdir /mnt/test-base /mnt/test-overlay /mnt/test-union
# funionfs -o dirs=/mnt/test-base=RO:/mnt/test-overlay  -o allow_other NONE
/mnt/test-union

(I've also tried with the mount syntax, and gotten the same behavior). Perhaps
I'm missing something. If so, please enlighten me.

I can create a new file by writing to it:
# cd /mnt/test-union/
# echo hello >new_file
# cat new_file 
hello

but other things fail:
# mkdir /mnt/test-union/new_dir
mkdir: cannot create directory `/mnt/test-union/new_dir': No such file or directory

oddly enough, this also fails for an existing file (nomatter which underlying fs
it lives on):
# echo hello >/mnt/test-union/some_file
-bash: /mnt/test-union/some_file: File exists
It seems to be the O_TRUNC flag that causes the error.
# python -c 'import os; fd = os.open("new_file", os.O_CREAT|os.O_RDWR|os.O_TRUNC)'
Traceback (most recent call last):
  File "<string>", line 1, in <module>
# python -c 'import os; fd = os.open("new_file", os.O_CREAT|os.O_RDWR)'
(succeeds)

--- Additional comment from pix@crazyfrogs.org on 2008-06-13 11:02:21 EDT ---

Adding myself to cc as i can't find any union filesystem working in f9 at the
moment and i badly need one..

--- Additional comment from mikem@redhat.com on 2008-06-13 16:23:43 EDT ---

Stephan - I haven't tried with f9 yet, but I was able to apply the unionfs patch
(non-FUSE) to the f8 kernel and get things working.

http://www.am-utils.org/project-unionfs.html

--- Additional comment from bernd-schubert@gmx.de on 2008-06-26 17:57:02 EDT ---

Stephan, could you try to use unionfs-fuse? Like funionfs it is fuse based, but very actively 
maintained. If you ever have problem with it, please report to the mailing list.


Thanks,
Bernd

--- Additional comment from triage@lists.fedoraproject.org on 2008-11-26 04:39:15 EST ---


This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from triage@lists.fedoraproject.org on 2009-01-09 00:53:27 EST ---


Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

--- Additional comment from leifer@gmail.com on 2010-12-02 10:57:17 EST ---

I'm experiencing this problem on Fedora 14.

--- Additional comment from simon_mailinglists@gmx-topmail.de on 2010-12-06 07:31:34 EST ---

(In reply to comment #6)
> I'm experiencing this problem on Fedora 14.

me as well!

--- Additional comment from dmitry@athabascau.ca on 2012-02-20 03:19:55 EST ---

F16 has the same problem with no alternatives in sight

Comment 1 Gwyn Ciesla 2012-02-20 13:52:46 UTC
I reproduced this on f16, emailed upstream.  This may not be actively developed anymore, but stay tuned.

Comment 2 Fedora End Of Life 2013-01-16 23:28:16 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Fedora End Of Life 2013-02-14 01:52:51 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.